Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.simpletext
Class SimpleTextStoredFieldsWriter

    java.lang.Object
      org.apache.lucene.codecs.StoredFieldsWriter
          org.apache.lucene.codecs.simpletext.SimpleTextStoredFieldsWriter

All Implemented Interfaces:
  Closeable

    public class SimpleTextStoredFieldsWriter

extends StoredFieldsWriter

Writes plain-text stored fields.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextStoredFieldsWriter(Directory directory, String segment, IOContext context)`

Method Summary
`void` | `abort()`
`void` | `close()`
`void` | `finish(FieldInfos fis, int numDocs)`
`void` | `startDocument(int numStoredFields)`
`void` | `writeField(FieldInfo info, IndexableField field)`

Methods inherited from class org.apache.lucene.codecs.StoredFieldsWriter
`addDocument, finishDocument, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextStoredFieldsWriter

    public SimpleTextStoredFieldsWriter(Directory directory,
                                        String segment,
                                        IOContext context)
                                 throws IOException

Throws:
  `IOException`

Method Detail

### startDocument

    public void startDocument(int numStoredFields)
                       throws IOException

  Specified by:
    `startDocument` in class `StoredFieldsWriter`
  Throws:
    `IOException`

### writeField

    public void writeField(FieldInfo info,
                           IndexableField field)
                    throws IOException

  Specified by:
    `writeField` in class `StoredFieldsWriter`
  Throws:
    `IOException`

### abort

    public void abort()

  Specified by:
    `abort` in class `StoredFieldsWriter`

### finish

    public void finish(FieldInfos fis,
                       int numDocs)
                throws IOException

  Specified by:
    `finish` in class `StoredFieldsWriter`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `StoredFieldsWriter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.